import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:flutter_gen/gen_l10n/app_localizations.dart';
import 'package:gui_app/const/colors.dart';
import 'package:gui_app/provider.dart';

class Toggle extends ConsumerStatefulWidget {
  final List<String> names;
  final double width;
  final double height;
  const Toggle(
      {Key? key, required this.names, this.width = 0.0, this.height = 0.0})
      : super(key: key);
  @override
  ConsumerState<Toggle> createState() => _ToggleState();
}

class _ToggleState extends ConsumerState<Toggle> {
  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        ElevatedButton(
          onPressed: () {
            ref.read(toggleProvider.notifier).state = [true, false];
            ref.read(localeProvider.notifier).state =
                L10n.supportedLocales.last;
          },
          child: Text(widget.names[0]),
          style: ElevatedButton.styleFrom(
            backgroundColor: ref.watch(toggleProvider.state).state[0]
                ? activeButtonColor
                : inactiveButtonColor,
          ),
        ),
        ElevatedButton(
          onPressed: () {
            ref.read(toggleProvider.notifier).state = [false, true];
            ref.read(localeProvider.notifier).state =
                L10n.supportedLocales.first;
          },
          child: Text(widget.names[1]),
          style: ElevatedButton.styleFrom(
            backgroundColor: ref.watch(toggleProvider.state).state[1]
                ? activeButtonColor
                : inactiveButtonColor,
          ),
        ),
      ],
    );
  }
}
